/*********************************************************************
*
*  IPFNCT.H
*
*  Copyright (c) 1989 Matrox Electronic Systems, Ltd.
*  All rights reserved.
*
*  This file contain the functions prototype use in the IP library.
*
*  They are classified by alphabetical order.
*
*********************************************************************/


#ifdef IP
/*
*     Video Graphic function for IP-8 product.
*/
VG_VOID        _DF_ VG_CalcHisto( VG_UDWORD _DP_ * );
VG_VOID        _DF_ VG_CalcProfile( VG_UDWORD _DP_ *, VG_UDWORD _DP_ * );
VG_VOID        _DF_ VG_CleanImage( VG_VOID );
VG_VOID        _DF_ VG_Conv3x3( VG_UBYTE, VG_BYTE _DP_ * );
VG_VOID        _DF_ VG_Conv3x3Mix( VG_UBYTE, VG_BYTE _DP_ *, VG_BYTE _DP_ * );
VG_VOID        _DF_ VG_DilateImage( VG_VOID );
VG_VOID        _DF_ VG_DrawHisto( VG_WORD, VG_WORD, VG_UWORD,
                              VG_PIXEL_PTR, VG_PIXEL_PTR, VG_UBYTE, VG_UDWORD _DP_ * );
VG_VOID        _DF_ VG_DrawProfile( VG_UWORD, VG_PIXEL_PTR, 
                                VG_UBYTE, VG_UDWORD _DP_ *, VG_UDWORD _DP_ * );
VG_VOID        _DF_ VG_ErodeImage( VG_VOID );
VG_VOID        _DF_ VG_Get( VG_SETUP _DP_ * );
VG_UBYTE       _DF_ VG_GetDispBank( VG_VOID );
VG_VOID        _DF_ VG_GetImageSourcePos( VG_UBYTE _DP_ *, VG_WORD _DP_ *, VG_WORD _DP_ *,
                                            VG_UWORD _DP_ *, VG_UWORD _DP_ * );
VG_VOID        _DF_ VG_SetImageSourcePos( VG_UBYTE, VG_WORD, VG_WORD, VG_UWORD, VG_UWORD );
VG_VOID        _DF_ VG_GetImageDestPos( VG_UBYTE _DP_ *, VG_WORD _DP_ *, VG_WORD _DP_ * );
VG_VOID        _DF_ VG_SetImageDestPos( VG_UBYTE, VG_WORD, VG_WORD );
VG_VOID    _DP_ *  _DF_ VG_GetLUT( VG_UBYTE, VG_VOID _DP_ *, VG_UWORD, VG_UBYTE );
VG_VOID        _DF_ VG_GetObjectColor( VG_PIXEL_PTR, VG_PIXEL_PTR );
VG_ALOGLUT _DP_ * _DF_ VG_GetPhyLUT( VG_ALOGLUT _DP_ *, VG_UBYTE );
VG_UBYTE       _DF_ VG_GetRdWrBank( VG_VOID );
VG_UBYTE       _DF_ VG_LabelImage( VG_VOID );
VG_INT         _DF_ VG_LoadBlock( VG_TEXT _DP_ *, VG_WORD, VG_WORD, VG_UWORD, VG_UWORD );
VG_INT         _DF_ VG_LoadLogLUT( VG_TEXT _DP_ *, VG_ALOGLUT _DP_ * );
VG_VOID        _DF_ VG_MixImage( VG_UBYTE );
VG_VOID        _DF_ VG_ModifHisto( VG_UBYTE, VG_UBYTE, VG_UBYTE, VG_UWORD,
                          VG_UDWORD _DP_ *, VG_PIXEL_PTR );
VG_INT         _DF_ VG_SaveBlock( VG_TEXT _DP_ *, VG_WORD, VG_WORD, VG_UWORD, VG_UWORD );
VG_INT         _DF_ VG_SaveLogLUT( VG_TEXT _DP_ *, VG_ALOGLUT _DP_ * );
VG_VOID        _DF_ VG_ScaleLogLUT( VG_ALOGLUT _DP_ *, 
                                VG_UBYTE, VG_UBYTE, VG_UBYTE, VG_UBYTE, VG_UBYTE );
VG_BYTE        _DF_ VG_Select( VG_UBYTE );
VG_BYTE        _DF_ VG_Set( VG_SETUP _DP_ * );
VG_VOID        _DF_ VG_SetDispBank( VG_UBYTE );
VG_VOID        _DF_ VG_SetLUT( VG_UBYTE, VG_VOID _DP_ *, VG_UWORD, VG_UBYTE );
VG_VOID        _DF_ VG_SetObjectColor( VG_PIXEL_PTR, VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetPhyLUT( VG_ALOGLUT _DP_ *, VG_UBYTE );
VG_VOID        _DF_ VG_SetRdWrBank( VG_UBYTE );
VG_VOID        _DF_ VG_TranslateImage( VG_PIXEL_PTR );
#endif    
          
#ifdef ILUM
/*        
*     Video Graphic function for ILLUMINATOR product.
*/
VG_UBYTE       _DF_ VG_GetContrast( VG_VOID );
VG_UBYTE       _DF_ VG_GetHue( VG_VOID );
VG_UBYTE       _DF_ VG_GetInFormat( VG_VOID );
VG_BOOL        _DF_ VG_GetInVideoKeySt( VG_VOID );
VG_UBYTE       _DF_ VG_GetSaturation( VG_VOID );
VG_BYTE        _DF_ VG_InitIlum( VG_BOOL );
VG_VOID        _DF_ VG_QuitIlum( VG_VOID );
VG_VOID        _DF_ VG_SetContrast( VG_UBYTE );
VG_VOID        _DF_ VG_SetHue( VG_UBYTE );
VG_VOID        _DF_ VG_SetInFormat( VG_UBYTE );
VG_VOID        _DF_ VG_SetInVideoKeySt( VG_BOOL );
VG_VOID        _DF_ VG_SetSaturation( VG_UBYTE );

/*
   Illuminator Rev A functions
*/

VG_BOOL        _DF_ VG_GetPBModuleSt( VG_VOID );
VG_VOID        _DF_ VG_SetVideoStableMode( VG_UBYTE, VG_WORD, VG_WORD  );
VG_UBYTE       _DF_ VG_GetVideoStableMode( VG_WORD *, VG_WORD * );
VG_VOID        _DF_ VG_SetIRELevel( VG_UBYTE );
VG_UBYTE       _DF_ VG_GetIRELevel( VG_VOID );
VG_VOID        _DF_ _VG_SetVsVtotal( VG_UBYTE, VG_UWORD);
VG_UWORD       _DF_ _VG_GetVsVtotal( VG_UBYTE );

#endif
          
VG_VOID        _DF_ VG_ArcRel( VG_WORD, VG_WORD, VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_ArcTo( VG_WORD, VG_WORD, VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_BezierRel( VG_WORD, VG_WORD, VG_WORD, VG_WORD, VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_BezierTo( VG_WORD, VG_WORD, VG_WORD, VG_WORD, VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_ClearScreen( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_CloseFont( VG_AFONT _DP_ * );
VG_VOID        _DF_ VG_CopyBlock( VG_UBYTE, VG_WORD, VG_WORD, VG_UWORD, VG_UWORD,
                              VG_UBYTE, VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_DrawCircle( VG_WORD, VG_WORD, VG_UWORD );
VG_VOID        _DF_ VG_DrawEllipse( VG_WORD, VG_WORD, VG_UWORD, VG_UWORD );
VG_VOID        _DF_ VG_DrawRect( VG_WORD, VG_WORD, VG_UWORD, VG_UWORD );
VG_VOID        _DF_ VG_FillBlock( VG_WORD, VG_WORD, VG_UWORD, VG_UWORD, VG_PIXEL_PTR );
VG_VOID        _DF_ VG_FillCircle( VG_WORD, VG_WORD, VG_UWORD );
VG_VOID        _DF_ VG_FillEllipse( VG_WORD, VG_WORD, VG_UWORD, VG_UWORD );
VG_VOID        _DF_ VG_FillRect( VG_WORD, VG_WORD, VG_UWORD, VG_UWORD );
VG_BOOL        _DF_ VG_GetAccessBufSt( VG_VOID );
VG_PIXEL_PTR   _DF_ VG_GetBorderColor( VG_PIXEL_PTR );
VG_BOOL        _DF_ VG_GetBorderSt( VG_VOID );
VG_BOOL        _DF_ VG_GetContGrabSt( VG_VOID );
VG_UBYTE       _DF_ VG_GetCPUFrameBuf( VG_VOID );
VG_PIXEL_PTR   _DF_ VG_GetCPUWriteMask( VG_PIXEL_PTR );
VG_PIXEL_PTR   _DF_ VG_GetCPUReadMask( VG_PIXEL_PTR );
VG_UBYTE       _DF_ VG_GetDispFrameBuf( VG_VOID );
VG_UBYTE       _DF_ VG_GetDispMode( VG_VOID );
VG_VOID        _DF_ VG_GetDispPos( VG_WORD _DP_ *, VG_WORD _DP_ * );
VG_UBYTE       _DF_ VG_GetDispType( VG_VOID );
VG_UBYTE       _DF_ VG_GetFade( VG_VOID );
VG_BOOL        _DF_ VG_GetFieldSt( VG_VOID );
VG_UBYTE       _DF_ VG_GetFrameBufConfig( VG_VOID );
VG_UBYTE       _DF_ VG_GetGain( VG_VOID );
VG_BOOL        _DF_ VG_GetGenLockSt( VG_VOID );
VG_PIXEL_PTR   _DF_ VG_GetGrabColor( VG_PIXEL_PTR );
VG_BOOL        _DF_ VG_GetGrabColorSt( VG_VOID );
VG_VOID        _DF_ VG_GetGrabDestPos( VG_WORD _DP_ *, VG_WORD _DP_ * );
VG_UBYTE       _DF_ VG_GetGrabField( VG_VOID );
VG_UBYTE       _DF_ VG_GetGrabFrameBuf( VG_VOID );
VG_PIXEL_PTR   _DF_ VG_GetGrabMask( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_GetGrabMini( VG_UBYTE _DP_ *, VG_UBYTE _DP_ * );
VG_UBYTE       _DF_ VG_GetGrabRegUpd( VG_VOID );
VG_VOID        _DF_ VG_GetGrabSourcePos( VG_WORD _DP_ *, VG_WORD _DP_ *,
                                     VG_UWORD _DP_ *, VG_UWORD _DP_ * );
VG_BOOL        _DF_ VG_GetGrabSt( VG_VOID );
VG_BOOL        _DF_ VG_GetHoriBlankSt( VG_VOID );
VG_BOOL        _DF_ VG_GetInterlaceOutSt( VG_VOID );
VG_PIXEL_PTR   _DF_ VG_GetInVideoMask( VG_PIXEL_PTR );
VG_PIXEL_PTR   _DF_ VG_GetKeyColor( VG_PIXEL_PTR );
VG_UBYTE       _DF_ VG_GetKeyComp( VG_VOID );
VG_PIXEL_PTR   _DF_ VG_GetKeyMask( VG_PIXEL_PTR );
VG_UBYTE       _DF_ VG_GetKeyOut( VG_VOID );
VG_UBYTE       _DF_ VG_GetKeyType( VG_VOID );
VG_UWORD       _DF_ VG_GetLibVersion( VG_VOID );
VG_UWORD       _DF_ VG_GetLineCount( VG_VOID );
VG_PIXEL_PTR   _DF_ VG_GetLinePixel( VG_UBYTE, VG_UWORD, VG_PIXEL_PTR );
VG_UBYTE       _DF_ VG_GetLineWidth( VG_UBYTE );
VG_UBYTE       _DF_ VG_GetLogLUTColorSize( VG_ALOGLUT _DP_ * );
VG_UWORD       _DF_ VG_GetLogLUTSize( VG_ALOGLUT _DP_ * );
VG_UBYTE       _DF_ VG_GetLogLUTOffset( VG_ALOGLUT _DP_ * );
VG_VOID    _DP_ * _DF_ VG_GetLogLUTColor( VG_ALOGLUT _DP_ * );
VG_UBYTE       _DF_ VG_GetMonitorType( VG_VOID );
VG_VOID        _DF_ VG_GetMosaic( VG_UBYTE _DP_ *, VG_UBYTE _DP_ * );
VG_UBYTE       _DF_ VG_GetOffset( VG_VOID );
VG_PIXEL_PTR   _DF_ VG_GetOutVideoMask( VG_PIXEL_PTR );
VG_PIXEL_PTR   _DF_ VG_GetPenColor( VG_PIXEL_PTR );
VG_UBYTE       _DF_ VG_GetPenType( VG_VOID );
VG_UBYTE       _DF_ VG_GetPenWidth( VG_VOID );
VG_VOID        _DF_ VG_GetPreset( VG_WORD _DP_ *, VG_WORD _DP_ * );
VG_VOID        _DF_ VG_GetPresetSt( VG_BOOL _DP_ *, VG_BOOL _DP_ * );
VG_UBYTE       _DF_ VG_GetResolution( VG_VOID );
VG_UBYTE       _DF_ VG_GetScanClock( VG_VOID );
VG_UBYTE       _DF_ VG_GetScanMode( VG_VOID );
VG_PIXEL_PTR   _DF_ VG_GetTextColor( VG_PIXEL_PTR );
VG_BOOL        _DF_ VG_GetVertBlankSt( VG_VOID );
VG_BOOL        _DF_ VG_GetVertSyncSt( VG_VOID );
VG_BOOL        _DF_ VG_GetVGAFadeSt( VG_VOID );
VG_UBYTE       _DF_ VG_GetVGAKeyColor( VG_UBYTE );
VG_BOOL        _DF_ VG_GetVGAKeyColorSt( VG_UBYTE );
VG_UBYTE       _DF_ VG_GetVGAKeyMask( VG_VOID );
VG_UBYTE       _DF_ VG_GetVGAKeyOut( VG_VOID );
VG_BOOL        _DF_ VG_GetVGASt( VG_VOID );
VG_UBYTE       _DF_ VG_GetVideoKeyMode( VG_VOID );
VG_VOID        _DF_ VG_GetVideoParmAccess( VG_UBYTE _DP_ *, VG_UBYTE _DP_ * );
VG_UBYTE       _DF_ VG_GetVideoSource( VG_VOID );
VG_BOOL        _DF_ VG_GetVideoSourceSt( VG_VOID );
VG_UBYTE       _DF_ VG_GetVideoType( VG_VOID );
VG_VOID        _DF_ VG_GetVideoWinPos( VG_WORD _DP_ *, VG_WORD _DP_ *,
                                   VG_UWORD _DP_ *, VG_UWORD _DP_ * );
VG_VOID        _DF_ VG_GetWinCtrl( VG_UBYTE, VG_BYTE _DP_ *, VG_BYTE _DP_ *,
                               VG_UBYTE _DP_ *, VG_UBYTE _DP_ * );
VG_VOID        _DF_ VG_GetWinOrig( VG_UBYTE, VG_WORD _DP_ *, VG_WORD _DP_ * );
VG_PIXEL_PTR   _DF_ VG_GetWinPixel( VG_UBYTE, VG_PIXEL_PTR );
VG_VOID        _DF_ VG_GetWinSize( VG_UBYTE, VG_UWORD _DP_ *, VG_UWORD _DP_ * );
VG_UBYTE       _DF_ VG_GetWinType( VG_UBYTE );
VG_UBYTE       _DF_ VG_GetYAxisDirection( VG_VOID );
VG_VOID        _DF_ VG_GetZoom( VG_UBYTE _DP_ *, VG_UBYTE _DP_ * );
VG_VOID        _DF_ VG_GetZoomPan( VG_UBYTE _DP_ *, VG_UBYTE _DP_ * );
VG_BYTE        _DF_ VG_InitLib( VG_VOID );
VG_VOID        _DF_ VG_LineRel( VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_LineTo( VG_WORD, VG_WORD );
VG_INT         _DF_ VG_LoadPicture( VG_TEXT _DP_ * );
VG_VOID        _DF_ VG_MoveRel( VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_MoveTo( VG_WORD, VG_WORD );
VG_AFONT _DP_ * _DF_ VG_OpenFont( VG_TEXT _DP_ * );
VG_INT         _DF_ VG_PlacePicture( VG_TEXT _DP_ *, VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_PutPixel( VG_VOID );
VG_VOID        _DF_ VG_PutString( VG_TEXT _DP_ * );
VG_VOID        _DF_ VG_QuitLib( VG_VOID );
VG_VOID        _DF_ VG_ReadBlock( VG_WORD, VG_WORD, VG_UWORD, VG_UWORD, VG_PIXEL_PTR );
VG_UBYTE       _DF_ VG_Reset( VG_BOOL );
VG_INT         _DF_ VG_SavePicture( VG_TEXT _DP_ *, VG_WORD, VG_WORD, VG_UWORD, VG_UWORD, VG_UBYTE );
VG_VOID        _DF_ VG_SelectFont( VG_AFONT _DP_ * );
VG_VOID        _DF_ VG_SetAccessBufSt( VG_BOOL );
VG_VOID        _DF_ VG_SetBorderColor( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetBorderSt( VG_BOOL );
VG_VOID        _DF_ VG_SetContGrabSt( VG_BOOL );
VG_VOID        _DF_ VG_SetCPUFrameBuf( VG_UBYTE );
VG_VOID        _DF_ VG_SetCPUReadMask( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetCPUWriteMask( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetDispFrameBuf( VG_UBYTE );
VG_VOID        _DF_ VG_SetDispMode( VG_UBYTE );
VG_VOID        _DF_ VG_SetDispPos( VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_SetDispType( VG_UBYTE );
VG_VOID        _DF_ VG_SetFade( VG_UBYTE );
VG_VOID        _DF_ VG_SetFrameBufConfig( VG_UBYTE );
VG_VOID        _DF_ VG_SetGain( VG_UBYTE );
VG_VOID        _DF_ VG_SetGenLockSt( VG_BOOL );
VG_VOID        _DF_ VG_SetGrabColor( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetGrabColorSt( VG_BOOL );
VG_VOID        _DF_ VG_SetGrabDestPos( VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_SetGrabField( VG_UBYTE );
VG_VOID        _DF_ VG_SetGrabFrameBuf( VG_UBYTE );
VG_VOID        _DF_ VG_SetGrabMask( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetGrabMini( VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetGrabRegUpd( VG_UBYTE );
VG_VOID        _DF_ VG_SetGrabSourcePos( VG_WORD, VG_WORD, VG_UWORD, VG_UWORD );
VG_VOID        _DF_ VG_SetInterlaceOutSt( VG_BOOL );
VG_VOID        _DF_ VG_SetInVideoMask( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetKeyColor( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetKeyComp( VG_UBYTE );
VG_VOID        _DF_ VG_SetKeyMask( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetKeyOut( VG_UBYTE );
VG_VOID        _DF_ VG_SetKeyType( VG_UBYTE );
VG_VOID        _DF_ VG_SetLinePixel( VG_UBYTE, VG_UWORD, VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetLineWidth( VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetLogLUT( VG_ALOGLUT _DP_ *, VG_VOID _DP_ *,
                              VG_UBYTE, VG_UWORD, VG_UBYTE );
VG_VOID        _DF_ VG_SetMosaic( VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetOffset( VG_UBYTE );
VG_VOID        _DF_ VG_SetOutVideoMask( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetPenColor( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetPenWidth( VG_UBYTE );
VG_VOID        _DF_ VG_SetPenType( VG_UBYTE );
VG_VOID        _DF_ VG_SetPreset( VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_SetPresetSt( VG_BOOL, VG_BOOL );
VG_VOID        _DF_ VG_SetResolution( VG_UBYTE );
VG_VOID        _DF_ VG_SetScanClock( VG_UBYTE );
VG_VOID        _DF_ VG_SetScanMode( VG_UBYTE );
VG_VOID        _DF_ VG_SetTextAtt( VG_UWORD, VG_UWORD, VG_UBYTE, VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetTextColor( VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetTextPos( VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_SetVGAFadeSt( VG_BOOL );
VG_VOID        _DF_ VG_SetVGAKeyColor( VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetVGAKeyColorSt( VG_UBYTE, VG_BOOL );
VG_VOID        _DF_ VG_SetVGAKeyMask( VG_UBYTE );
VG_VOID        _DF_ VG_SetVGAKeyOut( VG_UBYTE );
VG_VOID        _DF_ VG_SetVideoKeyMode( VG_UBYTE );
VG_VOID        _DF_ VG_SetVideoParmAccess( VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetVideoSource( VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetVideoType( VG_UBYTE );
VG_VOID        _DF_ VG_SetVideoWinPos( VG_WORD, VG_WORD, VG_UWORD, VG_UWORD );
VG_VOID        _DF_ VG_SetWinCtrl( VG_UBYTE, VG_BYTE, VG_BYTE, VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetWinOrig( VG_UBYTE, VG_WORD, VG_WORD );
VG_VOID        _DF_ VG_SetWinPixel( VG_UBYTE, VG_PIXEL_PTR );
VG_VOID        _DF_ VG_SetWinSize( VG_UBYTE, VG_UWORD, VG_UWORD );
VG_VOID        _DF_ VG_SetWinType( VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetYAxisDirection( VG_UBYTE );
VG_VOID        _DF_ VG_SetZoom( VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SetZoomPan( VG_UBYTE, VG_UBYTE );
VG_VOID        _DF_ VG_SingleGrab( VG_VOID );
VG_VOID        _DF_ VG_WriteBlock( VG_WORD, VG_WORD, VG_UWORD, VG_UWORD, VG_PIXEL_PTR );
           
           
/*********************************************************************
*          
*  These following FUNCTION are use by the IP library and by
*  the macros defined functions.
*          
*********************************************************************/
           
VG_PIXEL_PTR   _DF_ _VG_CopyColor( VG_PIXEL_PTR, VG_PIXEL_PTR );
