/***********************************************************************
*
*  IPMAC.H
*
*  Copyright (c) 1989 Matrox Electronic Systems, Ltd.
*  All rights reserved.
*
*  Compilation option to use the macros definition instead of the function
*  call. The macros definition can be include by separate group or all in
*  the same time. Each group is separate by fonctional aspect according to
*  the library reference manuel.
*  The macros definition are made for the very small functions only. Check
*  in the proper macro file (\INC\MAC\name.H) to see if a macro definition
*  exist, else a function call is always generate by the compiler.
*
***********************************************************************/

#ifdef _INTELC32_

#define USEMACRO        "\lib\inc\mac\all.h"
#define USEFUNCT        "\lib\inc\unmac\all.h"

#define USEDISPMACRO    "\lib\inc\mac\disp.h"
#define USEDISPFUNCT    "\lib\inc\unmac\disp.h"

#define USEGPHMACRO     "\lib\inc\mac\gph.h"
#define USEGPHFUNCT     "\lib\inc\unmac\gph.h"

#define USEGRABMACRO    "\lib\inc\mac\grab.h"
#define USEGRABFUNCT    "\lib\inc\unmac\grab.h"

#define USEKEYMACRO     "\lib\inc\mac\key.h"
#define USEKEYFUNCT     "\lib\inc\unmac\key.h"

#ifdef IP
#define USEIMGMACRO     "\lib\inc\mac\img.h"
#define USEIMGFUNCT     "\lib\inc\unmac\img.h"
#endif

#define USELUTMACRO     "\lib\inc\mac\lut.h"
#define USELUTFUNCT     "\lib\inc\unmac\lut.h"

#define USEMEMMACRO     "\lib\inc\mac\mem.h"
#define USEMEMFUNCT     "\lib\inc\unmac\mem.h"

#define USESTATMACRO    "\lib\inc\mac\stat.h"
#define USESTATFUNCT    "\lib\inc\unmac\stat.h"

#define USETEXTMACRO    "\lib\inc\mac\text.h"
#define USETEXTFUNCT    "\lib\inc\unmac\text.h"

#define USEVGAMACRO     "\lib\inc\mac\vga.h"
#define USEVGAFUNCT     "\lib\inc\unmac\vga.h"

#define USEVINMACRO     "\lib\inc\mac\vin.h"
#define USEVINFUNCT     "\lib\inc\unmac\vin.h"

#define USEVIOMACRO     "\lib\inc\mac\vio.h"
#define USEVIOFUNCT     "\lib\inc\unmac\vio.h"

#define USEVOUTMACRO    "\lib\inc\mac\vout.h"
#define USEVOUTFUNCT    "\lib\inc\unmac\vout.h"

#define USEWINMACRO     "\lib\inc\mac\win.h"
#define USEWINFUNCT     "\lib\inc\unmac\win.h"

#else

#ifdef __WATCOMC__

#define USEMACRO        "\lib\inc\mac\all.h"
#define USEFUNCT        "\lib\inc\unmac\all.h"

#define USEDISPMACRO    "\lib\inc\mac\disp.h"
#define USEDISPFUNCT    "\lib\inc\unmac\disp.h"

#define USEGPHMACRO     "\lib\inc\mac\gph.h"
#define USEGPHFUNCT     "\lib\inc\unmac\gph.h"

#define USEGRABMACRO    "\lib\inc\mac\grab.h"
#define USEGRABFUNCT    "\lib\inc\unmac\grab.h"

#define USEKEYMACRO     "\lib\inc\mac\key.h"
#define USEKEYFUNCT     "\lib\inc\unmac\key.h"

#ifdef IP
#define USEIMGMACRO     "\lib\inc\mac\img.h"
#define USEIMGFUNCT     "\lib\inc\unmac\img.h"
#endif

#define USELUTMACRO     "\lib\inc\mac\lut.h"
#define USELUTFUNCT     "\lib\inc\unmac\lut.h"

#define USEMEMMACRO     "\lib\inc\mac\mem.h"
#define USEMEMFUNCT     "\lib\inc\unmac\mem.h"

#define USESTATMACRO    "\lib\inc\mac\stat.h"
#define USESTATFUNCT    "\lib\inc\unmac\stat.h"

#define USETEXTMACRO    "\lib\inc\mac\text.h"
#define USETEXTFUNCT    "\lib\inc\unmac\text.h"

#define USEVGAMACRO     "\lib\inc\mac\vga.h"
#define USEVGAFUNCT     "\lib\inc\unmac\vga.h"

#define USEVINMACRO     "\lib\inc\mac\vin.h"
#define USEVINFUNCT     "\lib\inc\unmac\vin.h"

#define USEVIOMACRO     "\lib\inc\mac\vio.h"
#define USEVIOFUNCT     "\lib\inc\unmac\vio.h"

#define USEVOUTMACRO    "\lib\inc\mac\vout.h"
#define USEVOUTFUNCT    "\lib\inc\unmac\vout.h"

#define USEWINMACRO     "\lib\inc\mac\win.h"
#define USEWINFUNCT     "\lib\inc\unmac\win.h"

#else


#define USEMACRO        <mac\\all.h>
#define USEFUNCT        <unmac\\all.h>

#define USEDISPMACRO    <mac\\disp.h>
#define USEDISPFUNCT    <unmac\\disp.h>

#define USEGPHMACRO     <mac\\gph.h>
#define USEGPHFUNCT     <unmac\\gph.h>

#define USEGRABMACRO    <mac\\grab.h>
#define USEGRABFUNCT    <unmac\\grab.h>

#define USEKEYMACRO     <mac\\key.h>
#define USEKEYFUNCT     <unmac\\key.h>

#ifdef IP
#define USEIMGMACRO     <mac\\img.h>
#define USEIMGFUNCT     <unmac\\img.h>
#endif

#define USELUTMACRO     <mac\\lut.h>
#define USELUTFUNCT     <unmac\\lut.h>

#define USEMEMMACRO     <mac\\mem.h>
#define USEMEMFUNCT     <unmac\\mem.h>

#define USESTATMACRO    <mac\\stat.h>
#define USESTATFUNCT    <unmac\\stat.h>

#define USETEXTMACRO    <mac\\text.h>
#define USETEXTFUNCT    <unmac\\text.h>

#define USEVGAMACRO     <mac\\vga.h>
#define USEVGAFUNCT     <unmac\\vga.h>

#define USEVINMACRO     <mac\\vin.h>
#define USEVINFUNCT     <unmac\\vin.h>

#define USEVIOMACRO     <mac\\vio.h>
#define USEVIOFUNCT     <unmac\\vio.h>

#define USEVOUTMACRO    <mac\\vout.h>
#define USEVOUTFUNCT    <unmac\\vout.h>

#define USEWINMACRO     <mac\\win.h>
#define USEWINFUNCT     <unmac\\win.h>

#endif
#endif
