/*********************************************************************
*
*  IPTRAN.H
*
*  Copyright (c) 1989 Matrox Electronic Systems, Ltd.
*  All rights reserved.
*
*********************************************************************/

/* External Library Functions */
#define ArcRel                 VG_ArcRel
#define ArcTo                  VG_ArcTo
#define BezierRel              VG_BezierRel
#define BezierTo               VG_BezierTo
#define CalcHisto              VG_CalcHisto
#define CalcProfile            VG_CalcProfile
#define CleanImage             VG_CleanImage
#define ClearScreen            VG_ClearScreen
#define CloseFont              VG_CloseFont
#define Conv3x3                VG_Conv3x3
#define Conv3x3Mix             VG_Conv3x3Mix
#define CopyBlock              VG_CopyBlock
#define DilateImage            VG_DilateImage
#define DrawCircle             VG_DrawCircle
#define DrawEllipse            VG_DrawEllipse
#define DrawHisto              VG_DrawHisto
#define DrawProfile            VG_DrawProfile
#define DrawRect               VG_DrawRect
#define ErodeImage             VG_ErodeImage
#define FillBlock              VG_FillBlock
#define FillCircle             VG_FillCircle
#define FillEllipse            VG_FillEllipse
#define FillRect               VG_FillRect
#define GetAccessBufSt         VG_GetAccessBufSt
#define GetBorderColor         VG_GetBorderColor
#define GetBorderSt            VG_GetBorderSt
#define GetContGrabSt          VG_GetContGrabSt
#define GetContrast            VG_GetContrast
#define GetCPUFrameBuf         VG_GetCPUFrameBuf
#define GetCPUReadMask         VG_GetCPUReadMask
#define GetCPUWriteMask        VG_GetCPUWriteMask
#define GetDispBank            VG_GetDispBank
#define GetDispFrameBuf        VG_GetDispFrameBuf
#define GetDispMode            VG_GetDispMode
#define GetDispPos             VG_GetDispPos
#define GetDispType            VG_GetDispType
#define GetFade                VG_GetFade
#define GetFieldSt             VG_GetFieldSt
#define GetFrameBufConfig      VG_GetFrameBufConfig
#define GetGain                VG_GetGain
#define GetGenLockSt           VG_GetGenLockSt
#define GetGrabColor           VG_GetGrabColor
#define GetGrabColorSt         VG_GetGrabColorSt
#define GetGrabDestPos         VG_GetGrabDestPos
#define GetGrabField           VG_GetGrabField
#define GetGrabFrameBuf        VG_GetGrabFrameBuf
#define GetGrabMask            VG_GetGrabMask
#define GetGrabMini            VG_GetGrabMini
#define GetGrabRegUpd          VG_GetGrabRegUpd
#define GetGrabSourcePos       VG_GetGrabSourcePos
#define GetGrabSt              VG_GetGrabSt
#define GetHoriBlankSt         VG_GetHoriBlankSt
#define GetHue                 VG_GetHue
#define GetImageDestPos        VG_GetImageDestPos
#define GetImageSourcePos      VG_GetImageSourcePos
#define GetInFormat            VG_GetInFormat
#define GetInterlaceOutSt      VG_GetInterlaceOutSt
#define GetIntVertBlankCtrl    VG_GetIntVertBlankCtrl
#define GetIntVertBlankSt      VG_GetIntVertBlankSt
#define GetInVideoKeySt        VG_GetInVideoKeySt
#define GetInVideoMask         VG_GetInVideoMask
#define GetIP                  VG_Get
#define GetIPLibVersion        VG_GetLibVersion
#define GetKeyColor            VG_GetKeyColor
#define GetKeyComp             VG_GetKeyComp
#define GetKeyMask             VG_GetKeyMask
#define GetKeyOut              VG_GetKeyOut
#define GetKeyType             VG_GetKeyType
#define GetLineCount           VG_GetLineCount
#define GetLinePixel           VG_GetLinePixel
#define GetLineWidth           VG_GetLineWidth
#define GetLogLUTColor         VG_GetLogLUTColor
#define GetLogLUTColorSize     VG_GetLogLUTColorSize
#define GetLogLUTOffset        VG_GetLogLUTOffset
#define GetLogLUTSize          VG_GetLogLUTSize
#define GetLUT                 VG_GetLUT
#define GetMonitorType         VG_GetMonitorType
#define GetMosaic              VG_GetMosaic
#define GetObjectColor         VG_GetObjectColor
#define GetOffset              VG_GetOffset
#define GetOutVideoMask        VG_GetOutVideoMask
#define GetPenColor            VG_GetPenColor
#define GetPenType             VG_GetPenType
#define GetPenWidth            VG_GetPenWidth
#define GetPhyLUT              VG_GetPhyLUT
#define GetPreset              VG_GetPreset
#define GetPresetSt            VG_GetPresetSt
#define GetRdWrBank            VG_GetRdWrBank
#define GetResolution          VG_GetResolution
#define GetSaturation          VG_GetSaturation
#define GetScanClock           VG_GetScanClock
#define GetScanMode            VG_GetScanMode
#define GetSyncSource          VG_GetSyncSource
#define GetTextColor           VG_GetTextColor
#define GetVertBlankSt         VG_GetVertBlankSt
#define GetVertSyncSt          VG_GetVertSyncSt
#define GetVGAFadeSt           VG_GetVGAFadeSt
#define GetVGAKeyColor         VG_GetVGAKeyColor
#define GetVGAKeyColorSt       VG_GetVGAKeyColorSt
#define GetVGAKeyMask          VG_GetVGAKeyMask
#define GetVGAKeyOut           VG_GetVGAKeyOut
#define GetVGASt               VG_GetVGASt
#define GetVideoKeyMode        VG_GetVideoKeyMode
#define GetVideoParmAccess     VG_GetVideoParmAccess
#define GetVideoSource         VG_GetVideoSource
#define GetVideoSourceSt       VG_GetVideoSourceSt
#define GetVideoType           VG_GetVideoType
#define GetVideoWinPos         VG_GetVideoWinPos
#define GetWinCtrl             VG_GetWinCtrl
#define GetWinOrig             VG_GetWinOrig
#define GetWinPixel            VG_GetWinPixel
#define GetWinSize             VG_GetWinSize
#define GetWinType             VG_GetWinType
#define GetYAxisDirection      VG_GetYAxisDirection
#define GetZoom                VG_GetZoom
#define GetZoomPan             VG_GetZoomPan
#define InitIlum               VG_InitIlum
#define InitIPLib              VG_InitLib
#define InitLib                VG_InitLib
#define LabelImage             VG_LabelImage
#define LineRel                VG_LineRel
#define LineTo                 VG_LineTo
#define LoadBlock              VG_LoadBlock
#define LoadLogLUT             VG_LoadLogLUT
#define LoadPicture            VG_LoadPicture
#define MixImage               VG_MixImage
#define ModifHisto             VG_ModifHisto
#define MoveRel                VG_MoveRel
#define MoveTo                 VG_MoveTo
#define OpenFont               VG_OpenFont
#define PlacePicture           VG_PlacePicture
#define PutPixel               VG_PutPixel
#define PutString              VG_PutString
#define QuitIlum               VG_QuitIlum
#define QuitIPLib              VG_QuitLib
#define QuitLib                VG_QuitLib
#define ReadBlock              VG_ReadBlock
#define ReadLine               VG_ReadLine
#define ResetIP                VG_Reset
#define SaveBlock              VG_SaveBlock
#define SaveLogLUT             VG_SaveLogLUT
#define SavePicture            VG_SavePicture
#define ScaleLogLUT            VG_ScaleLogLUT
#define SelectFont             VG_SelectFont
#define SelectIP               VG_Select
#define SetAccessBufSt         VG_SetAccessBufSt
#define SetBorderColor         VG_SetBorderColor
#define SetBorderSt            VG_SetBorderSt
#define SetContGrabSt          VG_SetContGrabSt
#define SetContrast            VG_SetContrast
#define SetCPUFrameBuf         VG_SetCPUFrameBuf
#define SetCPUReadMask         VG_SetCPUReadMask
#define SetCPUWriteMask        VG_SetCPUWriteMask
#define SetDispBank            VG_SetDispBank
#define SetDispFrameBuf        VG_SetDispFrameBuf
#define SetDispMode            VG_SetDispMode
#define SetDispPos             VG_SetDispPos
#define SetDispType            VG_SetDispType
#define SetFade                VG_SetFade
#define SetFrameBufConfig      VG_SetFrameBufConfig
#define SetGain                VG_SetGain
#define SetGenLockSt           VG_SetGenLockSt
#define SetGrabColor           VG_SetGrabColor
#define SetGrabColorSt         VG_SetGrabColorSt
#define SetGrabDestPos         VG_SetGrabDestPos
#define SetGrabField           VG_SetGrabField
#define SetGrabFrameBuf        VG_SetGrabFrameBuf
#define SetGrabMask            VG_SetGrabMask
#define SetGrabMini            VG_SetGrabMini
#define SetGrabRegUpd          VG_SetGrabRegUpd
#define SetGrabSourcePos       VG_SetGrabSourcePos
#define SetHue                 VG_SetHue
#define SetImageDestPos        VG_SetImageDestPos
#define SetImageSourcePos      VG_SetImageSourcePos
#define SetInFormat            VG_SetInFormat
#define SetInterlaceOutSt      VG_SetInterlaceOutSt
#define SetInVideoKeySt        VG_SetInVideoKeySt
#define SetInVideoMask         VG_SetInVideoMask
#define SetIP                  VG_Set
#define SetKeyColor            VG_SetKeyColor
#define SetKeyComp             VG_SetKeyComp
#define SetKeyMask             VG_SetKeyMask
#define SetKeyOut              VG_SetKeyOut
#define SetKeyType             VG_SetKeyType
#define SetLinePixel           VG_SetLinePixel
#define SetLineWidth           VG_SetLineWidth
#define SetLogLUT              VG_SetLogLUT
#define SetLUT                 VG_SetLUT
#define SetMosaic              VG_SetMosaic
#define SetObjectColor         VG_SetObjectColor
#define SetOffset              VG_SetOffset
#define SetOutVideoMask        VG_SetOutVideoMask
#define SetPenColor            VG_SetPenColor
#define SetPenType             VG_SetPenType
#define SetPenWidth            VG_SetPenWidth
#define SetPhyLUT              VG_SetPhyLUT
#define SetPreset              VG_SetPreset
#define SetPresetSt            VG_SetPresetSt
#define SetRdWrBank            VG_SetRdWrBank
#define SetResolution          VG_SetResolution
#define SetSaturation          VG_SetSaturation
#define SetScanClock           VG_SetScanClock
#define SetScanMode            VG_SetScanMode
#define SetSyncSource          VG_SetSyncSource
#define SetTextAtt             VG_SetTextAtt
#define SetTextColor           VG_SetTextColor
#define SetTextPos             VG_SetTextPos
#define SetVGAFadeSt           VG_SetVGAFadeSt
#define SetVGAKeyColor         VG_SetVGAKeyColor
#define SetVGAKeyColorSt       VG_SetVGAKeyColorSt
#define SetVGAKeyMask          VG_SetVGAKeyMask
#define SetVGAKeyOut           VG_SetVGAKeyOut
#define SetVideoKeyMode        VG_SetVideoKeyMode
#define SetVideoParmAccess     VG_SetVideoParmAccess
#define SetVideoSource         VG_SetVideoSource
#define SetVideoType           VG_SetVideoType
#define SetVideoWinPos         VG_SetVideoWinPos
#define SetWinCtrl             VG_SetWinCtrl
#define SetWinOrig             VG_SetWinOrig
#define SetWinPixel            VG_SetWinPixel
#define SetWinSize             VG_SetWinSize
#define SetWinType             VG_SetWinType
#define SetYAxisDirection      VG_SetYAxisDirection
#define SetZoom                VG_SetZoom
#define SetZoomPan             VG_SetZoomPan
#define SingleGrab             VG_SingleGrab
#define TranslateImage         VG_TranslateImage
#define WriteBlock             VG_WriteBlock
#define WriteLine              VG_WriteLine
#define WritePicture           VG_SavePicture

/* External Library Variables */
#define _AcsBufAdd             _VG_AcsBufAdd
#define _AcsBufSize            _VG_AcsBufSize
#define _AverageKer            _VG_AverageKer
#define _CRTMode               _VG_CRTMode
#define _DOSExtender           _VG_DOSExtender
#define _HoriKer               _VG_HoriKer
#define _IlumType              _VG_Type
#define _IPType                _VG_Type
#define _IPVersion             _VG_Version
#define _LP1Ker                _VG_LP1Ker
#define _LP2Ker                _VG_LP2Ker
#define _MaxIPBoard            _VG_MaxBoard
#define _Mem                   _VG_Mem
#define _MemBank               _VG_MemBank
#define _PixelSize             _VG_PixelSize
#define _PW1Ker                _VG_PW1Ker
#define _PW2Ker                _VG_PW2Ker
#define _Reg                   _VG_Reg
#define _SB1Ker                _VG_SB1Ker
#define _SB2Ker                _VG_SB2Ker
#define _SelectIPBoard         _VG_SelectBoard
#define _SH1Ker                _VG_SH1Ker
#define _SH2Ker                _VG_SH2Ker
#define _VertKer               _VG_VertKer
#define _VGATrapIPBoard        _VG_VGATrapBoard
#define _XDispPixel            _VG_XDispPixel
#define _XDispSize             _VG_XDispSize
#define _XHistoSize            _VG_XHistoSize
#define _XMemSize              _VG_XMemSize
#define _YDispPixel            _VG_YDispPixel
#define _YDispSize             _VG_YDispSize
#define _YHistoSize            _VG_YHistoSize
#define _YMemSize              _VG_YMemSize

/* Internal Library Functions */
#define _BufCopy               _VG_BufCopy
#define _CheckBoardSetup       _VG_CheckBoardSetup
#define _CheckIlumSetup        _VG_CheckIlumSetup
#define _CheckSysMem           _VG_CheckSysMem
#define _CleanLn               _VG_CleanLn
#define _ClearScreenToBlack    _VG_ClearScreenToBlack
#define _ComputeBezier         _VG_ComputeBezier
#define _ConvertColor          _VG_ConvertColor
#define _ConvertLUT            _VG_ConvertLUT
#define _ConvLnAverage         _VG_ConvLnAverage
#define _ConvLnCorner          _VG_ConvLnCorner
#define _ConvLnEdge            _VG_ConvLnEdge
#define _ConvLnFull            _VG_ConvLnFull
#define _ConvLnHori            _VG_ConvLnHori
#define _ConvLnVert            _VG_ConvLnVert
#define _ConvMixLnFull         _VG_ConvMixLnFull
#define _ConvMixLnPrw          _VG_ConvMixLnPrw
#define _ConvMixLnSob          _VG_ConvMixLnSob
#define _CopyColor             _VG_CopyColor
#define _CopyLUT               _VG_CopyLUT
#define _CopyWinPixel          _VG_CopyWinPixel
#define _CopyWithNoOverlap     _VG_CopyWithNoOverlap
#define _DilateLn              _VG_DilateLn
#define _DMPIGetActiveMode     _VG_DMPIGetActiveMode
#define _DMPISegmentToSelector _VG_DMPISegmentToSelector
#define _ErodeLn               _VG_ErodeLn
#define _FillOpenShape         _VG_FillOpenShape
#define _FillOpenSymShape      _VG_FillOpenSymShape
#define _FillShape             _VG_FillShape
#define _FillSymShape          _VG_FillSymShape
#define _FillWinPixel          _VG_FillWinPixel
#define _GetDOSExtender        _VG_GetDOSExtender
#define _GetModeFlags          _VG_GetModeFlags
#define _GetOneLineCount       _VG_GetOneLineCount
#define _GetReg                _VG_GetReg
#define _intIP               _VG_intIP
#define _InitCall              _VG_InitCall
#define _InitDrvVar            _VG_InitDrvVar
#define _InitUserVar           _VG_InitUserVar
#define _MakeFarPtr            _VG_MakeFarPtr
#define _MemAlloc              _VG_MemAlloc
#define _MemAvail              _VG_MemAvail
#define _MemFree               _VG_MemFree
#define _LoadDATA              _VG_LoadDATA
#define _LoadMTXFileHeader     _VG_LoadMTXFileHeader
#define _LoadMTXLUT            _VG_LoadMTXLUT
#define _LoadMTXPicture        _VG_LoadMTXPicture
#define _LoadRLE               _VG_LoadRLE
#define _LoadTGALUT            _VG_LoadTGALUT
#define _LoadTGAPicture        _VG_LoadTGAPicture
#define _LoadWinPixel          _VG_LoadWinPixel
#define _PutChar               _VG_PutChar
#define _ReadWinPixel          _VG_ReadWinPixel
#define _Render                _VG_Render
#define _SaveDATA              _VG_SaveDATA
#define _SaveMTXFileHeader     _VG_SaveMTXFileHeader
#define _SaveMTXLUT            _VG_SaveMTXLUT
#define _SaveMTXPicture        _VG_SaveMTXPicture
#define _SaveRLE               _VG_SaveRLE
#define _SaveTGALUT            _VG_SaveTGALUT
#define _SaveTGAPicture        _VG_SaveTGAPicture
#define _SaveWinPixel          _VG_SaveWinPixel
#define _SegmentToSelectorPtr  _VG_SegmentToSelectorPtr
#define _SetReg                _VG_SetReg
#define _ShapeCircle           _VG_ShapeCircle
#define _ShapeEllipse          _VG_ShapeEllipse
#define _ShapeRect             _VG_ShapeRect
#define _UpdDispPixel          _VG_UpdDispPixel
#define _UpdDispSize           _VG_UpdDispSize
#define _WriteWinPixel         _VG_WriteWinPixel

/* Internal Library Variables */
#define _BlackPixel            _VG_BlackPixel
#define _CardInfo              _VG_CardInfo
#define _DOSExtender           _VG_DOSExtender
#define _DrvVar                _VG_DrvVar
#define _ImageLineBuf          _VG_ImageLineBuf
#define _MemLUT                _VG_MemLUT
#define _WhitePixel            _VG_WhitePixel
#define _XExtEnd               _VG_XExtEnd
#define _XExtStr               _VG_XExtStr
#define _XGraphEndL            _VG_XGraphEndL
#define _XGraphEndR            _VG_XGraphEndR
#define _XGraphStrL            _VG_XGraphStrL
#define _XGraphStrR            _VG_XGraphStrR
